<!--
*Author：jxx
 *Contact：283591387@qq.com
 *代码由框架生成,任何更改都可能导致被代码生成器覆盖
 *业务请在@/extension/widesea_wms/invoices/Dt_InboundOrder.js此处编写
 -->
<template>
    <view-grid ref="grid" :columns="columns" :detail="detail" :editFormFields="editFormFields"
        :editFormOptions="editFormOptions" :searchFormFields="searchFormFields" :searchFormOptions="searchFormOptions"
        :table="table" :extend="extend">
    </view-grid>
</template>
<script>
import extend from "@/extension/widesea_wms/inbound/Dt_CZInfo_mes.js";
import { ref, defineComponent } from "vue";
export default defineComponent({
    setup() {
        const table = ref({
            key: 'id',
            footer: "Foots",
            cnName: '车轴信息',
            name: 'inbound/Dt_CZInfo_mes',
            url: "/Dt_CZInfo_mes/",
            sortName: "id"
        });
        const editFormFields = ref({
            "Wheels_code": "",
            "Wheels_ldxh": "",
            "Wheels_mttype": "",
            "gkcc": "",
            wheels_NewOrOld:""
        });
        const editFormOptions = ref([
            [
                { "title": "车轴条码", "field": "CZTM", type: "text" },
                { "title": "车型", "field": "CHEXING", type: "text" },
                { "title": "动拖属性(M/T)", "field": "MTTYPE", type: "text" },
            ],
            [
                { "title": "车轴号", "field": "czh", type: "text" },
                { "title": "轮对条码", "field": "LDTM", "type": "select",dataKey:"NewOld",data:[] },
            ]
        ]);
        const searchFormFields = ref({
            CZTM: ""

        });
        const searchFormOptions = ref([
            [
                { "title": "车轮号", "field": "CZTM", type: "text" },
            ],
        ]);
        const columns = ref([
            { field: 'id', title: '主键ID', type: 'int', width: 110, readonly: true, hidden: true, require: true, align: 'left' },
            { field: 'cztm', title: '车轴条码', type: 'string', width: 110, align: 'left' },
            { field: 'czh', title: '车轴号', type: 'string', width: 110, align: 'left' },
            { field: 'ldtm', title: '轮对条码', type: 'string', width: 110, align: 'left' },
            { field: 'currentStatue', title: '状态', type: 'string', width: 75, align: 'left',bind: { key: "InboundState", data: [] } },
            { field: 'chexing', title: '车型', type: 'string', width: 100, align: 'left' },
            { field: 'czxh', title: '车轴型号', type: 'int', width: 110, align: 'left' },
            { field: 'mttype', title: '动/拖', type: 'string', width: 60, align: 'left' },
            { field: 'zlzdj', title: '左轮座等级', type: 'string', width: 100, align: 'left' },
            { field: 'ylzdj', title: '右轮座等级', type: 'string', width: 100, align: 'left' },
            { field: 'zlzzj', title: '左轮座直径', type: 'string', width: 100, align: 'left' },
            { field: 'ylzzj', title: '右轮座直径', type: 'string', width: 100, align: 'left' },
            { field: 'zlza', title: '左轮座直径A', type: 'string', width: 100, align: 'left' },
            { field: 'zlzb', title: '左轮座直径B', type: 'string', width: 100, align: 'left' },
            { field: 'zlzc', title: '左轮座直径C', type: 'string', width: 100, align: 'left' },
            { field: 'ylza', title: '右轮座直径A', type: 'string', width: 100, align: 'left' },
            { field: 'ylzb', title: '右轮座直径B', type: 'string', width: 100, align: 'left' },
            { field: 'ylzc', title: '右轮座直径C', type: 'string', width: 100, align: 'left' },
            { field: 'creater', title: '创建时间', type: 'string', width: 100, align: 'left' },
            { field: 'createDate', title: '创建时间', type: 'datetime', sort: true, width: 100, align: 'left' },
        ]);

        const detail = ref({
            cnName: "#detailCnName",
            table: "#detailTable",
            columns: [],
            sortName: "",
            key: ""
        });
        return {
            table,
            extend,
            editFormFields,
            editFormOptions,
            searchFormFields,
            searchFormOptions,
            columns,
            detail,
        };
    },
});
</script>
